Last modified: 2012-04-19 21:43:11 UTC

Wikimedia Bugzilla is closed!

Wikimedia has migrated from Bugzilla to Phabricator. Bug reports should be created and updated in Wikimedia Phabricator instead. Please create an account in Phabricator and add your Bugzilla email address to it.
Wikimedia Bugzilla is read-only. If you try to edit or create any bug report in Bugzilla you will be shown an intentional error message.
In order to access the Phabricator task corresponding to a Bugzilla report, just remove "static-" from its URL.
You could still run searches in Bugzilla or access your list of votes but bug reports will obviously not be up-to-date in Bugzilla.
Bug 21509 - Opt-in user flow takes user to log out and opt-out
Opt-in user flow takes user to log out and opt-out
Status: RESOLVED FIXED
Product: MediaWiki extensions
Classification: Unclassified
UsabilityInitiative (Other open bugs)
unspecified
All All
: Normal major (vote)
: ---
Assigned To: Roan Kattouw
http://prototype.wikimedia.org/en.wik...
:
Depends on:
Blocks: 36111
  Show dependency treegraph
 
Reported: 2009-11-14 18:06 UTC by Naoko Komura
Modified: 2012-04-19 21:43 UTC (History)
4 users (show)

See Also:
Web browser: ---
Mobile Platform: ---
Assignee Huggle Beta Tester: ---


Attachments
user is prompted to go to log out page while trying to opt-in (121.22 KB, image/png)
2009-11-14 18:06 UTC, Naoko Komura
Details
user is logged out and never opt-in beta with this flow... (127.81 KB, image/png)
2009-11-14 18:06 UTC, Naoko Komura
Details

Description Naoko Komura 2009-11-14 18:06:07 UTC
Created attachment 6782 [details]
user is prompted to go to log out page while trying to opt-in

filed against r58971

If a user is not logged in, the user wind up logging out with the current opt-in flow.

Steps to create:
1) You are logged out user and about to try out the beta
2) Click "Try Beta"
3) You are prompted to log in
4) You log in and get the welcome page with opt-out survey (opt-out survey should not be displayed)
5) You are encouraged to continue using beta by pointing to;
If you would like to continue using Beta, you can return to Special:UserLogout 
6) Click the link and you are taken to logged out page

At this point you are back to using monobook.  

Why don't we direct users to Main page?
Comment 1 Naoko Komura 2009-11-14 18:06:58 UTC
Created attachment 6783 [details]
user is logged out and never opt-in beta with this flow...
Comment 2 Roan Kattouw 2009-11-16 21:08:39 UTC
Fixed in r59146.
Comment 3 Naoko Komura 2009-11-17 03:54:42 UTC
Verified in r59149.  Thank you for resolving the issue, Roan. 

Note You need to log in before you can comment on or make changes to this bug.


Navigation
Links